# Heck

.. is a Minecraft 1.18.2 Forge modpack. It features a little bit of everything: Technology, magic, exploration and building / decoration mods. The primary use case for this pack is for a private server we're running for friends, fellow VTubers, and their friends.

*Heck* comes with a modest amount of configuration changes and [KubeJS](https://kubejs.com/) scripts that aim to make our mods work together well, fix minor issues, improve balance, change and add recipes, and most importantly unify most items and materials in the pack which would otherwise exist in multiple formats. We also have a couple of texture and localization changes to make things fit together well.

- For a **list of mods** including short descriptions, see the [Mod List](https://git.mcft.net/copygirl/heck/wiki/Mod-List).
- For instructions on how to **set up the modpack**, see [Download & Installation](https://git.mcft.net/copygirl/heck/wiki/Download-&-Installation).
- If you want to set up and run your own **server**, see [Server Setup](https://git.mcft.net/copygirl/heck/wiki/Server-Setup).
- For a quick overview on how to **contribute**, see [Development](https://git.mcft.net/copygirl/heck/wiki/Development).
