// priority: 0

let FILLED_ECCENTRIC_TOME = Item.of("eccentrictome:tome", '{'
  + '"eccentrictome:version":1,'
  + '"eccentrictome:mods":{'
    + 'adorn:{0:{Count:1b,id:"adorn:guide_book"}},'
    + 'alexsmobs:{0:{Count:1b,id:"alexsmobs:animal_dictionary"}},'
    + 'ars_nouveau:{0:{Count:1b,id:"ars_nouveau:worn_notebook"}},'
    + 'botania:{0:{Count:1b,id:"botania:lexicon"}},'
    + 'immersiveengineering:{0:{Count:1b,id:"immersiveengineering:manual"}},'
    + 'littlelogistics:{0:{Count:1b,id:"patchouli:guide_book",tag:{"patchouli:book":"littlelogistics:guide"}}},'
    + 'malum:{0:{Count:1b,id:"malum:encyclopedia_arcana"}},'
    + 'tconstruct:{'
      + '0:{Count:1b,id:"tconstruct:tinkers_gadgetry"},'
      + '1:{Count:1b,id:"tconstruct:mighty_smelting"},'
      + '2:{Count:1b,id:"tconstruct:materials_and_you"},'
      + '3:{Count:1b,id:"tconstruct:fantastic_foundry"},'
      + '4:{Count:1b,id:"tconstruct:puny_smelting"}'
    + '},'
    + 'thermal:{0:{Count:1b,id:"patchouli:guide_book",tag:{"patchouli:book":"thermal:guidebook"}}},'
    + 'twilightforest:{0:{Count:1b,id:"patchouli:guide_book",tag:{"patchouli:book":"twilightforest:guide"}}},'
    + 'tis3d:{0:{Count:1b,id:"tis3d:manual"}},'
    + 'untamedwilds:{0:{Count:1b,id:"patchouli:guide_book",tag:{"patchouli:book":"untamedwilds:encyclopedia_of_life"}}}'
  + '}}');

onEvent("recipes", event => {
  // Add an additional recipe that crafts a filled eccentric tome.
  event.shapeless(FILLED_ECCENTRIC_TOME, [
    "minecraft:book",
    "#forge:bookshelves",
    "minecraft:gold_ingot",
  ]);
});

onEvent("player.logged_in", event => {
  // Give players a full Eccentric Tome when joining for the first time.
  if (event.player.stages.has("give_eccentric_tome")) return;
  event.player.stages.add("give_eccentric_tome");
  event.player.give(FILLED_ECCENTRIC_TOME);
});
