// priority: 0

onEvent("recipes", event => {
  // CUTTING: Wheat with Knife = Wheat Flour
  event.custom({
    type: "farmersdelight:cutting",
    ingredients: [{ item: "minecraft:wheat" }],
    tool: { tag: "forge:tools/knives" },
    result: [{ item: "create:wheat_flour" }]
  });
  // CRAFTING: Wheat Flour + Eggs = Dough
  event.shapeless("create:dough", [ "create:wheat_flour", "#forge:eggs" ]);
  // CUTTING: Dough with Knife = Raw Pasta
  event.custom({
    type: "farmersdelight:cutting",
    ingredients: [{ tag: "forge:dough/wheat" }],
    tool: { tag: "forge:tools/knives" },
    result: [{ item: "farmersdelight:raw_pasta" }]
  });
  // COOKING: Dumplings
  event.custom({
    type: "farmersdelight:cooking",
    ingredients: [
      { tag: "forge:dough/wheat" },
      { tag: "forge:crops/cabbage" },
      { tag: "forge:crops/onion" },
      [
        { tag: "forge:raw_chicken" },
        { tag: "forge:raw_pork" },
        { tag: "forge:raw_beef" },
        { item: "minecraft:brown_mushroom" }
      ]
    ],
    result: { item: "farmersdelight:dumplings", count: 2 },
    experience: 0.35,
    cookingtime: 200
  });
  // Remove any recipes involving wheat dough.
  event.remove({ input: "farmersdelight:wheat_dough" });
  event.remove({ output: "farmersdelight:wheat_dough" });
});

onEvent("item.tags", event => {
  event.removeAllTagsFrom("farmersdelight:wheat_dough");
});
