// priority: 0

onEvent("lootjs", event => {
  let creepers = [
    "jungle", "bamboo", "desert", "badlands", "hills", "savannah", "mushroom",
    "swamp", "dripstone", "cave", "dark_oak", "spruce", "beach", "snowy",
  ].map(variant => `creeperoverhaul:${variant}_creeper`);

  event.addEntityLootModifier(creepers)
    .killedByPlayer()
    .customCondition({ "condition": "reliquary:random_chance_looting_severing",
      "chance": 0.02, "looting_multiplier": 0.03, "severing_multiplier": 0.1 })
    .addLoot("reliquary:catalyzing_gland");

  event.addEntityLootModifier(creepers)
    .killedByPlayer()
    .matchEntity(entity => entity.nbt({ powered: 1 }))
    .customCondition({ "condition": "reliquary:random_chance_looting_severing",
      "chance": 0.03, "looting_multiplier": 0.05, "severing_multiplier": 0.15 })
    .addLoot("reliquary:eye_of_the_storm");
});
