// priority: 0

onEvent("recipes", event => {
  // Remove default vertical slab crafting recipes.
  event.remove({ id: /_vertical_slab/, type: "minecraft:crafting_shaped" });

  // Add recipes to craft regular (horizontal) slabs into vertical slabs.
  event.forEachRecipe({ id: /_vertical_slab_revert/ }, recipe => {
    let input  = recipe.inputItems[0];
    let output = recipe.outputItems[0].getId();

    // Quark limestone is disabled but some recipes still linger.
    if (/^quark:.*limestone.*$/.test(output)) return;

    event.shapeless(input, [ output ]);
  });
});
