// priority: 0

onEvent("recipes", event => {
  const toHammer = [
    // Vanilla
    "netherite",
    // Create
    "brass",
    // Thermal Integration
    "rose_gold",
    // Thermal Foundation
    "tin", "bronze", "invar",
    "signalum", "lumium", "enderium",
  ];
  const toMetalPress = [ "netherite", "signalum", "lumium", "enderium", ];
  const toMultiservoPress = [ "brass", "gold" ];
  const toMechanicalPress = [
    // Vanilla
    "netherite",
    // Immersive Engineering
    "aluminum", "uranium", "steel",
    // Thermal Integration
    "rose_gold",
    // Thermal Foundation
    "tin", "lead", "silver", "nickel",
    "bronze", "electrum", "invar", "constantan",
    "signalum", "lumium", "enderium",
  ];

  function get(material, shape) { return global.unification[material][shape][0]; }

  for (let material of toHammer)
    event.shapeless(get(material, "plate"),
      [ get(material, "ingot"), "immersiveengineering:hammer" ]);

  for (let material of toMetalPress)
    event.recipes.immersiveengineeringMetalPress(get(material, "plate"),
      get(material, "ingot"), "immersiveengineering:mold_plate");

  for (let material of toMultiservoPress)
    event.recipes.thermal.press(get(material, "plate"), get(material, "ingot"));

  for (let material of toMechanicalPress)
    event.recipes.createPressing(get(material, "plate"), get(material, "ingot"));
});
